org.eclipse.jgit.util.io

## Class AutoCRLFOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.eclipse.jgit.util.io.AutoCRLFOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class AutoCRLFOutputStream
    extends OutputStream

An OutputStream that expands LF to CRLF.

Existing CRLF are not expanded to CRCRLF, but retained as is.

### Constructor Summary

Constructors
Constructor and Description
`AutoCRLFOutputStream(OutputStream out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int startOff, int startLen)`
`void` `write(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoCRLFOutputStream

    public AutoCRLFOutputStream(OutputStream out)

Parameters:
  `out` -

### Method Detail

#### write

    public void write(int b)
               throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
                      int startOff,
                      int startLen)
               throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`